# Build status
[![Build Status](https://travis-ci.org/myTomorrows/pivotal-git-tracker.svg)](https://travis-ci.org/myTomorrows/pivotal-git-tracker)

# Tracker::Git

Update Pivotal Tracker depending on your local Git repository.

This gem finds all finished stories and bugs and if it finds the story id in a Git commit, marks that story as delivered.
This has proved useful as part of a 'deploy to staging' strategy. If you automatically deploy to a staging environment after a successful continuous integration build, and want to update a story from 'finished' to 'delivered', then this Gem is for you.
The gem will add a comment to the Pivotal story everytime the commit is deployed to an environment (for example: staging -> acceptance -> production).

## Installation

Add this line to your application's Gemfile:

    gem 'pivotal-git-tracker'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install pivotal-git-tracker

## Usage

This gem will create a 'tracker' binary. Call that in your deploy script with
the tracker id and access token as command line arguments, or with following
environment variables set, and your finished stories will be updated to
delivered.

    tracker 123456 abc123 branch-name server-name
    
## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Added some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
